List Przewozowy CRM

Welcome to CMR SQL 9.000 help!

Program works on following operating systems:

Win 9x, Win Me, Win NT,
Win 2000, Win XP/7/8 Win 2003 Server - DRP

Minimum system requirement is working Windows operating system .

Program database files are shared among all users.

If you want to print out CMR documents
you need to have a printer installed on your computer

Suggested computer specification :

system Windows XP
computer PC with Celeron 1600
HDD : 200 MB
number of colors : 16-bites
screen resolution : 1024x768
512-1024 MB RAM
modem PCI 56K
printer : comliant with HP LaserJet 4P

Database server :
MS SQL 2008

system Windows 2003 Server
MS SQL Express 2005
2GB RAM
HDD : 1 GB


Numery startowe dokumentów

Tools menu:
Tools menu contains many options. For "Program configuration" please follow this link.

Report generator:
This tool allows to change all printouts and forms available in program.
IMPORTANT: Before changing any forms make a backup copy! All printouts templates are in main program folder in Tools \ Report generator

Management of additional reports:
After clicking (1) window (2) appears.
You can add new reports or edit existing ones (3,4). When you add/edit a report window 5 appears.
You have to choose report type, add report name and upload report file.
You can also manage which users can access this report.

Change password:
Here you can change password of a user who is currently logged in. After clicking (1) window (2) appears.

Register of events:
We can see the list of all activities which were performed in the program. You can sort data by date, user (login), or type of event.

Register of logged users:
This register will show who is currently logged in.

Document starting numbers:
This menu allows to change document starting number and numbering mask (how document number looks) (detailed description is below the screenshot).

  1. We go to tools / document starting numbers.
  2. We select numbering scheme we would like to change. Program can store many types of numbering for each document (for example you can have one type for national documents and other for international).
  3. We click "edit" on the right panel menu.
  4. Window will appear.
  5. This is the first part of the number. It has to contain number and can also contain some fixed letters or sings. In this part only the number will be changed with every next document.
  6. This is the second part of the number. It is designed to contain date of the document. As you can see capital letters MM, DD, YYYY are recognized as month, day, year. If you put other signs between quotation marks (") it will show as it is.
  7. Here we can change the last document number. If we were to issue a new document with using this mask it would have number 109.
  8. Preview field. This is how our number will look like according to what is currently put into fields 4,5,6.
  9. We can set this checkbox if this numbering mask (scheme) will be default one for this type of document (you can have only one default scheme).
  10. Archiving document scheme will remove it from the list and will make it unavailable for use (though it can be recovered at any time)

After completing changes we have to click "save".

Committing data:
From this menu its possible to commit all documents issued at a particular period.
After documents are committed they can not be easily changed.
After clicking (1) window (2) appears.

Archive:
We can archive program database (1) to disk in a specified location. Another option is to restore data from an archived file.


Konfiguracja

Configuration:

To access main configuration you need to go to tools / program configuration (1).
IMPORTANT!
Main configuration option is only available for a user who is an admin (2).
Before you enter main configuration you need to close all other windows of the program.

Basic company data:
This tab contains basic information about a company who purchased program (your company - the one that issues CMR document). All the data has to be filled in.
You need to connect to a database with icon (1) and choose your company from the list.

Default waybill parameters:
This tab has two additional tabs: "Common", "CMR"

"Common" tab is to set a default unit measure for CMR documents.
"CMR" tab we have many sub tabs:

Carrier - we enter full Carrier name, address and contact details and default registration plate number for a truck.
IMPORTANT!
Please DO NOT enter this data manually - use (1) icon and choose company from company list.
Those details will be automatically used as Carrier's data in every new CMR document.

Loading and unloading place:
As in "Carrier" tab we enter information about Loading and Unloading place.
Those details will be used as default places when issuing a new document (it can be changed).
Again please do not enter this data manually but from the database with icons .

Goods Items:
We can specify default goods description variant with drop down menu (1) and default goods for new CMR document (2).

Others1:
(1) Program will automatically open bill register after starting.
(2) When creating new CMR document sender's details will be those of our company.
(3) When creagin new CMR document delivery place details will be those of a receiver on CMR.
(4) Program will fill out current week number into second part of route number field.
(5) Program will automatically calculate and fill out unloading date. It will add a fixed number of days to date of issue.

Others2:
In this window we can set many default options for creating CMR document.

(1) If docuemnt is commited after saving.

(2) (3) (4) (5) (6) (7) We can set if it is possible to enter data manually or only from a database. Wen checkbox is market it will be possible to enter data ONLY through a database (dictionary).

(8) This setting will allow you to edit packaging type even when goods will be entered only from a database (dictionary).

(9) "Lift required" field will be checked by default and you will not be able to change this setting while creating CMR document.

(10) "Zone" field will be left empty by default and you will not be able to change this setting while creating CMR document.

(11) Default status of CMR.

(12) You can hide tab 20 with this checkbox (please look at the second screen below).

(13) Hiding packaging section in tab 20 when creating CMR (please look at the second screen below).

(14) Hiding "additional options" tab when creating CMR (please look at the second screen below).

(15) Defining package types in packaging section in tab 20 (please look at the second screen below).

Printouts:
 You can select which printout templates you will be seeing in "Reports" window in the top half.
Below you can also choose whether to see only templates with frames, without frames or both.

Additional settings:

Server SMTP:
Here we enter details of your email account. It will be used to send emails.

Users:
In "users" tab we have to select one of the users and click "edit" to change his/hers privileges. We can also add new users.
We can grant the right to create, edit, delete, view, commit, for each kind of document separately.


Słowniki

Dictionaries:
Dictionaries are databases which store information used when creating CMR documents. It is best to enter data always into dictionary and then use it while filling out CMR form.
This way will save a lot of time consuming manual typing.

Clients dictionary - list:
In "Dictionaries / Clients we can add (1) or change (2) details of companies we work with.

Adding a new client:
We must fill in all the contact details and mark what kind of client it is (1).
Adding drivers and cars is possible after we save a client and edit its details again.

Cities:
It contains list of towns and cities which are used by program.

Goods dictionary - list and new item windows:
Database of all goods that can be used as cargo.

Trucks:
We can add trucks. Each one has to be assigned to a particular client.

Drivers dictionary:

Typical remarks.
This database contains frequently used remarks.

Countries:

Statuses:
We can define document statuses.

Measurement units dictionary:
We can define units of measurement.


Numery startowe dokumentów

Register of waybills CMR:
Here we have a main window of CMR waybills register (detailed description is below a screenshot)

  1. Main menu - all help categories.

  2. Submenu - it contains all the options within category chosen in the main menu.

  3. Filter options area - we can change what documents we want to view (area 7) by filtering with many possible options.
    All criteria which are chosen are taken in account at the same time (there is "and" as logical operator between them)
    We can filter by:

    1. date of the document, date of unloading, date of loading - we can set a single date or period "from - to"

    2. sender - name of the company who is a sender on the CMR document (point 1 on the CMR tabs)

    3. receiver - name of the company who is a receiver on the CMR document (point 2 on the CMR tabs)

    4. carrier 1 - name of the company who is a primary carrier on the CMR document (point 16 on the CMR tabs)

    5. carrier 2 - name of the company who is a second (subsequent) carrier on the CMR document (point 17 on the CMR tabs)

    6. searching by document number - screenshot at the bottom

    IMPORTANT:

    • when you do not see anything on the list (area 7 is clear) it is usually filtering problem - make sure filtering criteria are correct.

    • When searching by name you can either put this name with the help of clients dictionary with icon [image] or enter its name manually.
      In case of entering name manually put % sign before and after its name. For example - %CompanyName%.

    • After you enter search criteria you have to click "filter" icon [image] to see search results (it will be activated when any search criteria are filled it).

    • You can also quickly sort documents on the list by clicking column name (note that it is not possible if simple mode box is checked).

  4. Document list - shows all the documents that have been issued so far. This view can be changed with filtering options (3).

  5. Menu on the right panel - from here you can perform many operations on the document.

    • Reports - programme will show a table with current view of area 7. This way we can quickly print/save to pdf the list off our documents.

    • View - shows a document which is chosen on the list (in our case - document number 123)

    • New - option to create new CMR document from scratch or based on the existing document (the one which is marked on the list - in our case document number 123)

    • Edit - editing current document (the one which is marked on the list - in our case document number 123)

    • Delete - deleting CMR document (the one which is marked on the list - in our case document number 123)

    • Status - option to change "commit" status of the document (the one which is marked on the list - in our case document number 123)

    • Refresh - refreshing view

    • Export XLS - exporting current view to xls document directly (similar to Reports option)

    • Quit - closing current window (register of waybills CMR in our case)

  6. Preview pane area - shows basic information about currently selected document (the one which is marked on the list - in our case document number 123). It can be turned on/off with "preview pane on/off" checkbox.

  7. Name and status of a user - shows login, name and surname of a user who is logged in.

Search for a document number:

We have to put number of the document between '%' symbols. This way we will see all CMR documents where part of number is 'DocumentNumber'. For example - if we want to search for document CMR 124/01/10/2012 we would enter this - %124% into field number 1. If we were to look for document number CMR 124/01/10/2012 and we want to find document 124 issued in October we would have to put - %124/01/10% into field 1. If we want to search for document issued in October AND in 2012 we have to put - %124/01/10/2012%. We can also put the whole number - CMR 124/01/10/2012 without '%' symbols. After we entered our search into field number 1 we press enter.


Wystawianie nowego listu przewozowego

Issuing a new CMR document:

New CMR form (detailed description is below a screenshot). Please scroll down for subsuquent tabs.

  1. Document number with default mask numbering. (how to change document number and mask, please look at the screenshot at the bottom of this document)
  2. Select number mask - button to choose which mask (scheme) of numbering we want to use for this document. (how to change masks and restart numbering, please look at the screenshot at the bottom of this document)
  3. Issue date - date when document is issued. By default its current day. We can change it either manually - by clicking on year/month/day or by choosing other date from a calendar (3a).
  4. Issue place - place where document is issued. We enter this manually.
  5. Commit checkbox - commit status on/off. After we commit document we can not easily edit and change it. Status has to be changed back to not committed to enable changes.
  6. CMR tabs - Each one contains parts of CMR document. We can switch among them by clicking on them or with tab navigation buttons (8).
    Changing tab will affect what we see in Document details area (7).
  7. Document details area - it shows details of the document according to currently selected tab (6).
    We enter data into fields either manually or by connecting with specific dictionary (database of clients, towns, countries etc) by left click on an icon (10).
  8. Tab navigation buttons - for switching between tabs (6).
  9. Right panel menu - we can perform many actions with a current document.
    • Reports - this button becomes active once document is saved. It will allow us to see a print preview. We can then print a document, send it via email or export it to pdf or other formats.
      For detailed instructions how to print/email/export document please follow this link.
    • New - button to create new CMR document
    • Save - saving current document (it can still be edited after it was saved)
    • Export - exporting document to xml file
    • Import - importing document details from xml file
    • Quit - closing window
    • Refresh - refreshing view
  10. Link to receivers' dictionary (database) - icon which links to a database to select which company's details we want to use. This link will lead to different databases according to what data we are entering.
On the second tab (numbered 3-4) we enter delivery place details and loading place details.

On the third tab (numbered 5-15) we enter goods data (info about products which are being transported), what documents are attached, sender instructions, and information about payment.

Fourth tab includes all information about Carriers.

Next tab deals with payments and packages
(how to change packages' types please follow this link) (how to hide this tab please follow this link)

On the last tab we have additional option to set a specific printout template for this CMR document.
After selecting icon (1) next window appears. We can choose a template and also edit templates with "Generator" (2).

IMPORTANT: before you make any changes to report templates please save a backup copy.

After we filled out all the details and saved a document we can see its preview:

We choose which template we want to use (1) and then click on "view" in a pop-up window (2)

CMR print preview.

  1. Printing documents that are in preview
  2. Opening other file
  3. Save CMR to computer
  4. Export CMR (pdf, xml, jpg, bmp among others)
  5. Export CMR to pdf
  6. Email CMR document
  7. Find within documents
  8. Preview zoom settings
  9. Navigating between pages
Send CMR via e-mail
We can quickly send CMR document via e-mail. Document will be attached in pdf or other format selected by the user.
It is also possible to add additional attachment.
How to change document number or mask (scheme)

We select mask which we want to change and click edit (3).
Window (4) appears.

(5) The first part of document number. It may contain letters and unique number of the document.

(6) Second part of document number. It contains date information. As you can see DD, MM, YYYY are recognized by the program as day, month, year respectively.
Other signs have to be put between quotation marks " - then program will recognize them as they are. In our example those are slash signs.

(7) Number of the last issued document. Next document will have number taken form (7)+1

(8) Preview of full document number.

(9) Default numbering checkbox. Only one mask can be set as default.

(10) Archive. If you archive mask it will not be shown on the list and will not be used. (but it can be reused in the future if nesscessary)


Wymagania

Program works on following operating systems:

Win 9x, Win Me, Win NT,
Win 2000, Win XP/7/8, Win 2003 Server - DRP

Minimum system requirement is working Windows operating system .

Program database files are shared among all users.

If you want to print out CMR documents
you need to have a printer installed on your computer

Suggested computer specification :

system Windows XP
computer PC with Celeron 1600
HDD : 200 MB
number of colors : 16-bitów
screen resolution : 1024x768
512-1024 MB RAM
modem PCI 56K
printer : zgodna z HP LaserJet 4P

Database server :
MS SQL 2008

system Windows 2003 Server
MS SQL Express 2005
2GB RAM
HDD : 1 GB